import 'dart:convert';
import 'package:crypto/crypto.dart';

const String backendUrl = 'https://walk-2-school-backend.vercel.app';

/*
  * This file contains miscellaneous functions that are used in multiple files.
  */

// Hashes a password using SHA-256
String hashPassword(String password) {
  var bytes = utf8.encode(password);
  var digest = sha256.convert(bytes);
  return digest.toString();
}

String getHelloMessage() {
  var hour = DateTime.now().hour;
  if (hour < 12) {
    return "Good Morning!";
  } else if (hour < 17) {
    return "Good Afternoon!";
  } else {
    return "Good Evening!";
  }
}
